## org.opencyc.xml
Class RDFTriples

    java.lang.Object
      |
      +--org.opencyc.xml.RDFTriples

All Implemented Interfaces:
  com.hp.hpl.jena.rdf.arp.StatementHandler

public class RDFTriples
extends java.lang.Object
implements com.hp.hpl.jena.rdf.arp.StatementHandler

Field Summary
`protected com.hp.hpl.jena.rdf.arp.ARP` `arp` Another RDF Parser instance.

Constructor Summary
`RDFTriples()` Constructs a new RDFTriples object.

Method Summary
`static void` `main(java.lang.String[] args)` Starts an RDF/XML to RDFTriples converter.
`protected void` `process(java.lang.String surl)` Parses the given URL.
`void` `statement(com.hp.hpl.jena.rdf.arp.AResource subject, com.hp.hpl.jena.rdf.arp.AResource predicate, com.hp.hpl.jena.rdf.arp.ALiteral literal)` Provides the ARP statement handler for triple having an Literal.
`void` `statement(com.hp.hpl.jena.rdf.arp.AResource subject, com.hp.hpl.jena.rdf.arp.AResource predicate, com.hp.hpl.jena.rdf.arp.AResource object)` Provides the ARP statement handler for triple having an Object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### arp

    protected com.hp.hpl.jena.rdf.arp.ARP arp

  Another RDF Parser instance.

Constructor Detail

### RDFTriples

    public RDFTriples()

  Constructs a new RDFTriples object.

Method Detail

### main

    public static void main(java.lang.String[] args)

  Starts an RDF/XML to RDFTriples converter.
  Parameters:
    `args` - the DAML URL to parse

### process

    protected void process(java.lang.String surl)

  Parses the given URL.
  Parameters:
    `surl` - the URL to parse into RDF triples

### statement

    public void statement(com.hp.hpl.jena.rdf.arp.AResource subject,
                          com.hp.hpl.jena.rdf.arp.AResource predicate,
                          com.hp.hpl.jena.rdf.arp.AResource object)

  Provides the ARP statement handler for triple having an Object.
  Specified by:
    `statement` in interface `com.hp.hpl.jena.rdf.arp.StatementHandler`
  Parameters:
    `subject` - the RDF Triple Subject
    `predicate` - the RDF Triple Predicate
    `object` - the RDF Triple Object

### statement

    public void statement(com.hp.hpl.jena.rdf.arp.AResource subject,
                          com.hp.hpl.jena.rdf.arp.AResource predicate,
                          com.hp.hpl.jena.rdf.arp.ALiteral literal)

  Provides the ARP statement handler for triple having an Literal.
  Specified by:
    `statement` in interface `com.hp.hpl.jena.rdf.arp.StatementHandler`
  Parameters:
    `subject` - the RDF Triple Subject
    `predicate` - the RDF Triple Predicate
    `object` - the RDF Triple Object